commit: 370a40986fde12080c15614512740e18810d1c27
Author: Robin H. Johnson <robbat2 <AT> orbis-terrarum <DOT> net>
AuthorDate: Tue Jun 15 20:52:16 2010 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Tue Jun 15 20:52:16 2010 +0000
URL:
http://sources.gentoo.org/gitweb/?p=dev/robbat2.git;a=commit;h=370a4098
Add more docs.
---
x11-misc/xcoral/Manifest | 2 +-
x11-misc/xcoral/xcoral-3.47.ebuild | 10 ++++++++--
2 files changed, 9 insertions(+), 3 deletions(-)
diff --git a/x11-misc/xcoral/Manifest b/x11-misc/xcoral/Manifest
index 2b69c38..040cfee 100644
--- a/x11-misc/xcoral/Manifest
+++ b/x11-misc/xcoral/Manifest
@@ -1,2 +1,2 @@
DIST xcoral-3.47.tar.gz 2760763 RMD160
57bef4965c17c616ce02f1e33455e7288893eeca SHA1
fc8231fde5a6f42c2c67498f818241c85db4f28d SHA256
886e02eeb96e494d32969fcf41dcd09133896b717b714eb42affed1f460af3dd
-EBUILD xcoral-3.47.ebuild 760 RMD160 0016e6e6f4032ef2e2b53fe34a695a8f56a934d8
SHA1 4a14810fd92b2a2ffe99f83723b096c74799ebc0 SHA256
c531a41737598749685bc83f195a765dd18abdab1a6de4d0e36f23f880092342
+EBUILD xcoral-3.47.ebuild 1024 RMD160 51a67012e9c1739e92edccc2a25bcea9bb4fa6a8
SHA1 4bacf1eb6dade174d7d4a885ac748c1bf84d8a20 SHA256
c266d3d4bad8d9e18fe43c132dcd7f08433262020beb81f5728b0735005b09ce
diff --git a/x11-misc/xcoral/xcoral-3.47.ebuild
b/x11-misc/xcoral/xcoral-3.47.ebuild
index 5cd9994..ece2932 100644
--- a/x11-misc/xcoral/xcoral-3.47.ebuild
+++ b/x11-misc/xcoral/xcoral-3.47.ebuild
@@ -25,16 +25,22 @@ XCORAL_SHAREDIR=/usr/share/xcoral
src_compile() {
local makeopts="XCORALLIBDIR=\\\"${XCORAL_SHAREDIR}\\\""
+ # This avoids the parallel build weirdness.
+ # splitting the by build into 3 parts.
pushd "${S}/Smac"
- emake -j1 word.h y.tab.c || die
+ # this is the only bit that isn't parallel safe itself
+ emake -j1 word.h y.tab.c ${makeopts} || die
+ # But we need to build the rest of the dir else it interacts weirdly
with
+ # parallel.
emake all ${makeopts} || die
popd
+ # Last part.
emake ${makeopts} || die
}
src_install() {
dobin xcoral
- dodoc README
+ dodoc README Doc/*pdf
insinto ${XCORAL_SHAREDIR}
doins SmacLib/*
}